%define _disable_source_fetch 0
%undefine _debugsource_packages

%global with_devel 0
%global with_bundled 1
%global with_check 0
%global with_unit_test 0

%if 0%{?fedora} || 0%{?centos}
%global with_debug 1
%else
%global with_debug 0
%endif

Name:           grpc-health-check
Version:        0.1.1
Release:        0%{?dist}
Summary:        gRPC health checking protocol
License:        Apache
URL:            https://github.com/paypizza/grpc-health-check
Source0:        https://github.com/paypizza/grpc-health-check/archive/%{version}.tar.gz

BuildRequires:  cargo
BuildRequires:  git
BuildRequires:  go
BuildRequires:  rustfmt

%description
gRPC health checking protocol.

%prep
%setup -q

%build
%make_build
make docs

%install
%make_install DESTDIR=%{buildroot} PREFIX=%{_prefix}

%check
cargo test --release

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,644)
%license LICENSE
%{_bindir}/%{name}
%{_mandir}/man1/grpc-health-check.1*

%changelog